For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Ticket object
          • GET/tickets
          • POST/tickets
          • GET/tickets/{id}
          • PATCH/tickets/{id}
          • GET/tickets/{ticket_id}/viewers
          • GET/tickets/live-search
          • GET/tickets/meta/patch/{id}
          • GET/tickets/meta/post
          • GET/tickets/remote-field-classes

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTickets

/tickets/{ticket_id}/viewers

Beta
GET
/ticketing/v1/tickets/:ticket_id/viewers
GET
/api/ticketing/v1/tickets/:ticket_id/viewers
$curl -G https://api.merge.dev/api/ticketing/v1/tickets/ticket_id/viewers \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> -d expand=team
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "17a54124-287f-494d-965e-3c5b330c9a68",
7 "remote_id": "088899",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "team": "28b54125-287f-494d-965e-3c5b330c9a68",
11 "user": "23454124-387f-494d-265e-345b330c9123"
12 }
13 ]
14}
Returns a list of `Viewer` objects that point to a User id or Team id that is either an assignee or viewer on a `Ticket` with the given id. [Learn more.](https://help.merge.dev/en/articles/10333658-ticketing-access-control-list-acls){/* BEGIN_TICKETING_TICKET_FETCH_SUPPORTED_FIELDS */}{/* END_TICKETING_TICKET_FETCH_SUPPORTED_FIELDS */}

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/tickets/{id}

Next

/tickets/live-search

Returns a list of Viewer objects that point to a User id or Team id that is either an assignee or viewer on a Ticket with the given id. Learn more.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

ticket_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_deleted_databooleanOptional

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.

Response

nextstring or null
previousstring or null
resultslist of objects